/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Feb-12-2011 07:53:02pm
Filepath: scripts\_custom\mlpackage\Quests\Heritage Quests\Mobiles\Arielle.cs
Lines of code: 39

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class Arielle : MondainQuester
	{				
		public override Type[] Quests{ get{ return new Type[] 
		{
			typeof( TheJoysOfLifeQuest )
		}; } }
	
		[Constructable]
		public Arielle() : base( "Arielle" )
		{			
			BaseSoundID = 0x46F;
			
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Arielle( Serial serial ) : base( serial )
		{
		}
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );
			
			Female = true;			
			Body = 128;
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}